> ## Documentation Index
> Fetch the complete documentation index at: https://langwatch.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Monitors

> List all online evaluation monitors for the project



## OpenAPI

````yaml GET /api/monitors
openapi: 3.1.0
info:
  title: LangWatch API
  version: 1.0.0
  description: LangWatch openapi spec
servers:
  - url: https://app.langwatch.ai
security:
  - project_api_key: []
paths:
  /api/monitors:
    get:
      description: List all online evaluation monitors for the project
      operationId: getApiMonitors
      parameters: []
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    name:
                      type: string
                    slug:
                      type: string
                    checkType:
                      type: string
                    enabled:
                      type: boolean
                    executionMode:
                      type: string
                      enum:
                        - ON_MESSAGE
                        - AS_GUARDRAIL
                        - MANUALLY
                    sample:
                      type: number
                    level:
                      type: string
                    evaluatorId:
                      type:
                        - string
                        - 'null'
                    preconditions: {}
                    parameters: {}
                    mappings:
                      type: 'null'
                    threadIdleTimeout:
                      type:
                        - number
                        - 'null'
                    createdAt:
                      type: string
                    updatedAt:
                      type: string
                    platformUrl:
                      type: string
                      format: uri
                  required:
                    - id
                    - name
                    - slug
                    - checkType
                    - enabled
                    - executionMode
                    - sample
                    - level
                    - evaluatorId
                    - threadIdleTimeout
                    - createdAt
                    - updatedAt
                    - platformUrl
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                required:
                  - error
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                required:
                  - error
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                required:
                  - error
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                required:
                  - error
components:
  securitySchemes:
    project_api_key:
      type: apiKey
      in: header
      name: X-Auth-Token
      description: >-
        Project API key for sending traces and accessing project-scoped
        resources. Format: sk-lw-... (no underscore). Obtain one by creating a
        project via the Admin API or the LangWatch UI.

````